#region Copyright
/*
Copyright (c) 2008 EPiServer AB.  All rights reserved.

This code is released by EPiServer AB under the Source Code File - Specific License Conditions, published August 20, 2007. 
See http://www.episerver.com/Specific_License_Conditions for details. 
*/
#endregion

#region Known Limitations
/*
The template has no known limitations.
*/
#endregion

using System;
using System.Web.UI.HtmlControls;

using EPiServer.Core;

namespace EPiServer.Templates
{
    /// <summary>
    /// The default start page
    /// </summary>
	public partial class DefaultDemo : TemplatePage
	{

        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Load"/> event.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"/> object that contains the event data.</param>
        protected override void OnLoad(System.EventArgs e)
        {
            base.OnLoad(e);

            SetImage();

            if (CurrentPage["MainLinksCount"] != null)
            {
                MainPageList.MaxCount = (int)CurrentPage["MainLinksCount"];
            }
            if (CurrentPage["SecondaryLinksCount"] != null)
            {
                SecondaryPageList.MaxCount = (int)CurrentPage["SecondaryLinksCount"];
            }
        }

        private void SetImage()
        {
            PropertyData image = CurrentPage.Property["Image"];

            if(!image.IsNull) 
            {
                FrontImage.Visible = true;
                FrontImage.Src = image.Value.ToString();
                FrontImage.Alt = CurrentPage.PageName;
            }

        }
	}

}
