<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="Item.aspx.cs" Inherits="EPiServer.Templates.Demo.Blog.Pages.Item" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/SecondaryList.ascx" TagPrefix="Blog" TagName="SecondaryList" %>
<%@ Register Src="~/Templates/Demo/Units/Placeable/captcha.ascx" TagPrefix="Demo" TagName="Captcha" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">
	<div id="MainBodyArea">
	    <div id="MainBody">
            
            <div class="blogItem">	    
                <h1><EPiServer:Property runat="server" PropertyName="PageName" /></h1>
                <h2><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.postedby %>" />&nbsp;<a href="<%= BlogStart.LinkURL %>"><EPiServer:Property runat="server" PropertyName="Writer" PageLinkProperty="BlogStart" /></a></h2>
                <EPiServer:Property runat="server" PropertyName="MainBody" PageLink="<%# CurrentPage.PageLink %>" />
                <h2><%= CurrentPage.StartPublish.ToString("dd MMMM yyyy") %></h2>

                <div class="tags">
                    <h2><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.tags%>" /></h2>
                    <asp:Repeater runat="server" DataSource="<%# Tags %>">
                        <HeaderTemplate><ul></HeaderTemplate>
                        <ItemTemplate>
                            <li><a href='<%# ((EPiServer.Core.PageData)Container.DataItem).LinkURL %>'><%# ((EPiServer.Core.PageData)Container.DataItem).PageName %></a></li>
                        </ItemTemplate>
                        <FooterTemplate></ul></FooterTemplate>
                    </asp:Repeater>
                </div>
            </div>
	        
	        <hr />
	        
	        <h3 id="Comments"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.commentheading%>" /></h3>
	        
	        <EPiServer:PageList ID="CommentList" SortOrder="CreatedAscending" runat="server" PageLinkProperty="PageLink">
	            <HeaderTemplate><ol class="comments"></HeaderTemplate>
	            <ItemTemplate>
	                <li id="comment<%# ((EPiServer.Core.PageData)Container.DataItem).PageLink.ID.ToString() %>">
	                    <EPiServer:Property runat="server" PropertyName="MainBody" />
	                    <div class="footer">
	                        <a href="#comment<%# ((EPiServer.Core.PageData)Container.DataItem).PageLink.ID.ToString() %>"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.permanentlink%>" /></a>
	                        <h2><%# Container.CurrentPage.StartPublish.ToString("dd MMMM yyyy HH:mm")%> <asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.postedby%>" /> <EPiServer:Property runat="server" PropertyName="Writer" /></h2>
	                    </div>
	                </li>
	            </ItemTemplate>
	            <FooterTemplate></ol></FooterTemplate>
	        </EPiServer:PageList>
	        
	        <fieldset runat="server" id="CommentArea" class="comment">
                <legend><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.item.commentlegend%>" /></legend>
                <asp:ValidationSummary runat="server" />
                <asp:Label AssociatedControlID="CommentName" runat="server" Text="<%$ Resources: EPiServer, blog.item.name%>" />
                <asp:RequiredFieldValidator runat="server" style="float:right;" ControlToValidate="CommentName" Text="*" ErrorMessage="<%$ Resources: EPiServer, blog.item.errormessages.requiredname%>" />
                <asp:TextBox runat="server" CssClass="textinput" ID="CommentName" TextMode="SingleLine" />
                <asp:Label AssociatedControlID="CommentText" runat="server" Text="<%$ Resources: EPiServer, blog.item.comment%>" />
                <asp:RequiredFieldValidator runat="server" style="float:right;" ControlToValidate="CommentText" Text="*" ErrorMessage="<%$ Resources: EPiServer, blog.item.errormessages.requiredcomment%>" />
                <asp:TextBox runat="server" ID="CommentText" TextMode="MultiLine" />
               
                <Demo:Captcha runat="server" LegendText="<%$ Resources: EPiServer, captcha.heading%>" ID="Captcha" />
	            
                <asp:Button CssClass="button" runat="server" OnClick="PostComment_Click" Text="<%$ Resources: EPiServer, blog.item.send%>" />
	        </fieldset>
	        
	        
        </div>
    </div>
    
    <div id="SecondaryBodyArea">
		<div id="SecondaryBody">
            <Blog:SecondaryList runat="server" BlogStart="<%# BlogStart %>" />
		</div>
	</div>
</asp:Content>