<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="Forum.aspx.cs" Inherits="EPiServer.Templates.Demo.Forum.Pages.Forum" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">

    <div runat="server" id="ErrorPanel" class="contentAreaFull" visible="false">
        <div class="container" >
            <div class="containerContentText">
                <p>
                    <%= Translate("/forum/forumlist/setuperror") %>
                </p>
                <asp:Button runat="server" ID="SetupStructureButton" CssClass="button" OnClick="SetupStructure_Click" Text="<%$ Resources: EPiServer, forum.forumlist.setupbutton %>" />
            </div>
        </div>
    </div>

    <div runat="server" id="InformationPanel" class="contentAreaFull">
        <div class="container" >
            <div class="containerContentText">
                <EPiServer:Property runat="server" PropertyName="MainBody" />
            </div>
        </div>
    </div>
    
   <div runat="server" id="ButtonPanel" class="contentAreaFull">
        <div class="buttonToolbar">
            <asp:LinkButton ID="AddForumButton" CssClass="createButton" runat="server" Text="<%$ Resources: EPiServer, forum.forumlist.createbutton %>" OnClick="AddForum_Click" visible="false"/>
            <asp:LinkButton ID="AddThreadButton" CssClass="createButton" runat="server" Text="<%$ Resources: EPiServer, forum.threadlist.createbutton %>" OnClick="AddThread_Click" visible="false"/>
            <asp:LinkButton ID="DeleteForumButton" CssClass="deleteButton" runat="server" Text="<%$ Resources: EPiServer, forum.forumlist.deleteforumbutton %>" OnClick="Delete_Click" Visible="false" />
        </div>
    </div>
        
    <div class="contentAreaFull">
        <div class="container" runat="server" id="ListForumPanel">
            <div class="containerCaption">
                <h1><%= Translate("/forum/forumlist/heading") %><EPiServer:Property runat="server" PropertyName="PageName" /></h1>
            </div>
            <div class="containerContent">
                <EPiServer:PageList runat="server" ID="ForumList" DataSource="<%# ForumDataSource %>">
                    <HeaderTemplate>
                        <table class="forumTable">
                            <tr>
                                <th class="title"><%= Translate("/forum/forumlist/title") %></th>
                                <th class="lastUpdated"><%= Translate("/forum/forumlist/updated") %></th>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                            <tr class="<%# GetStyle(EvenForum) %>">
                                <td>
                                    <EPiServer:Property runat="server" PropertyName="PageLink" CssClass='<%# Container.CurrentPage["Icon"] %>' />
                                </td>
                                <td>
                                    <%# GetLastUpdatedThreadString(Container.CurrentPage)%>
                                </td>
                            </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </EPiServer:PageList>
            </div>
        </div>
        
        <div class="container" runat="server" id="NewForumPanel" visible="false"> 
            <div class="containerCaption">
                <h1><%= Translate("/forum/forumform/heading") %></h1>
            </div>
            <div class="containerContent createForum">
                <asp:ValidationSummary runat="server" CssClass="validation" />
                <div>
                    <asp:Label runat="server" AssociatedControlID="ForumTitleTextBox" Text="Title" />
                    <asp:TextBox runat="server" ID="ForumTitleTextBox" TextMode="SingleLine" MaxLength="255" CssClass="title" /><asp:RequiredFieldValidator runat="server" ControlToValidate="ForumTitleTextBox" Text="*" ErrorMessage="<%$ Resources: EPiServer, forum.forumform.titleerror %>" /><br />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="IconDropDown" Text="<%$ Resources: EPiServer, forum.forumform.iconlabel %>" />
                    <asp:DropDownList runat="server" ID="IconDropDown">
                        <asp:ListItem Text="<%$ Resources: EPiServer, forum.forumform.icondropdown.default %>" Value="default" />
                        <asp:ListItem Text="<%$ Resources: EPiServer, forum.forumform.icondropdown.information %>" Value="information" />
                        <asp:ListItem Text="<%$ Resources: EPiServer, forum.forumform.icondropdown.auction %>" Value="auction" />
                        <asp:ListItem Text="<%$ Resources: EPiServer, forum.forumform.icondropdown.bomb %>" Value="bomb" />
                    </asp:DropDownList>
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="AllowThreadsCheckBox" Text="<%$ Resources: EPiServer, forum.forumform.allowthreadslabel %>" />
                    <asp:CheckBox runat="server" ID="AllowThreadsCheckbox" Checked="true" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="AllowForumsCheckbox" Text="<%$ Resources: EPiServer, forum.forumform.allowforumslabel %>" />
                    <asp:CheckBox runat="server" ID="AllowForumsCheckbox" Checked="true" />
                </div>
                <div class="buttons">
                    <asp:Button runat="server" Text="<%$ Resources: EPiServer, forum.forumform.createbutton %>" OnClick="ForumSubmit_Click" CssClass="button" />
                    <asp:Button runat="server" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="Cancel_Click" CausesValidation="false" CssClass="button" />
                </div>
            </div>
        </div>
        
        <div class="container" runat="server" id="ListThreadPanel">
            <div class="containerCaption">
                <div class="containerToolbar">
                </div>
                <h1><%= Translate("/forum/threadlist/heading") %><EPiServer:Property runat="server" PropertyName="PageName" /></h1>
            </div>
            <div class="containerContent">
                <EPiServer:PageList runat="server" ID="ThreadList" Paging="true" PagesPerPagingItem="20" PageLinkProperty="ActiveThreadContainer">
                    <HeaderTemplate>
                        <table class="forumTable">
                        <tr>
                            <th class="title"><%= Translate("/forum/threadlist/title") %></th>
                            <th class="replies"><%= Translate("/forum/threadlist/replies") %></th>
                            <th class="createBy"><%= Translate("/forum/threadlist/createdby") %></th>
                            <th class="lastUpdated"><%= Translate("/forum/threadlist/updated") %></th>
                        </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr class="<%# GetStyle(EvenThread) %>">
                            <td>
                                <%# CreatePageLink(Container.CurrentPage, 55) %>
                            </td>
                            <td class="replies">
                                <EPiServer:Property runat="server" PropertyName="NumberOfReplies" />
                            </td>
                            <td>
                                <EPiServer:Property runat="server" PropertyName="PageCreatedBy" />
                            </td>
                            <td>
                                <%# GetDateString(Container.CurrentPage) %>
                            </td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </EPiServer:PageList>
            </div>
        </div>
        
        <div class="container" runat="server" id="NewThreadPanel" visible="false"> 
            <div class="containerCaption">
                <h1><%= Translate("/forum/threadform/heading") %></h1>
            </div>
            <div class="containerContent createThread">
                <asp:ValidationSummary runat="server" CssClass="validation" />
                <div>
                    <asp:Label runat="server" AssociatedControlID="TitleTextBox" Text="<%$ Resources: EPiServer,forum.threadform.titlelabel %>" />
                    <asp:TextBox runat="server" ID="TitleTextBox" TextMode="SingleLine" MaxLength="255" CssClass="title" /><asp:RequiredFieldValidator runat="server" ControlToValidate="TitleTextBox" Text="*" ErrorMessage="<%$ Resources: EPiServer,forum.threadform.titleerror %>" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="ContentTextBox" Text="<%$ Resources: EPiServer,forum.threadform.contentlabel %>" />
                    <asp:TextBox runat="server" ID="ContentTextBox" TextMode="MultiLine" /><asp:RequiredFieldValidator runat="server" ControlToValidate="ContentTextBox" Text="*" ErrorMessage="<%$ Resources: EPiServer,forum.threadform.contenterror %>" />
                </div>
                <div class="buttons">
                    <asp:Button runat="server" Text="<%$ Resources: EPiServer, forum.threadform.createbutton %>" OnClick="ThreadSubmit_Click" CssClass="button" />
                    <asp:Button runat="server" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="Cancel_Click" CausesValidation="false" CssClass="button" />
                </div>
            </div>
        </div>
     </div>
</asp:Content>
        