<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="Thread.aspx.cs" Inherits="EPiServer.Templates.Demo.Forum.Pages.Thread" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">

    <div class="contentAreaFull" runat="server" id="ModeratorPanel" visible="false">
        <div class="buttonToolbar">
            <a href="#AddReply" class="editButton"><%= Translate("/forum/thread/addreply") %></a>
            <asp:LinkButton runat="server" CssClass="lockButton" ID="LockButton" OnClick="Lock_Click" />
            <asp:LinkButton runat="server" CssClass="stickyButton" ID="StickyButton" OnClick="Sticky_Click" />
            <asp:LinkButton runat="server" Text="<%$ Resources: EPiServer, forum.thread.deletethread %>" CssClass="deleteButton" ID="DeleteButton" OnClick="Delete_Click" />
        </div>
        <a href="<%= ForumStartPage.LinkURL %>" class="upButton"><%= Translate("/forum/thread/toforum") %></a>
    </div>

    <div class="contentAreaFull">
        <div class="container">
            <div class="containerCaption">
                <h1><EPiServer:Property runat="server" PropertyName="PageName" /></h1>
            </div>
            
            <EPiServer:PageList ID="PostList" SortOrder="CreatedAscending" runat="server" PageLinkProperty="PageLink" Paging="true" PagesPerPagingItem="20">
                <HeaderTemplate>
                    <div class="replyList">
                </HeaderTemplate>
                <ItemTemplate>
                        <div id="Reply<%# Container.CurrentPage.PageName %>" class="containerContent reply">
                            <div class="content">
                                <EPiServer:Property runat="server" PropertyName="MainBody" CssClass="text" />
                                <div class="info">
                                    <asp:Label runat="server" AssociatedControlID="PageCreatedByProperty" Text="<%$ Resources: EPiServer,forum.thread.postedby %>" />
                                    <EPiServer:Property runat="server" PropertyName="PageCreatedBy" ID="PageCreatedByProperty" /><br />
                                    <%# Container.CurrentPage.Created.ToString("dd MMM yyyy HH:mm")%><br />
                                    <asp:LinkButton runat="server" CssClass="deleteButton" Text="<%$ Resources: EPiServer,forum.thread.deletereply %>" Visible="<%# IsModerator && !IsFirstReply %>" OnCommand="DeleteReply_Command" CommandArgument="<%# Container.CurrentPage.PageLink %>" OnClientClick="<%# GetConfirmScript() %>" CausesValidation="false" /><br />
                                </div>
                            </div>
                         </div>
                </ItemTemplate>
                <FooterTemplate>
                    </div>
                </FooterTemplate>
            </EPiServer:PageList>
        
        </div>
	        
        <div class="container" runat="server" id="ReplyPanel" visible="false">
            <div class="containerCaption">
                <h1><asp:Literal runat="server" Text="<%$ Resources: EPiServer,forum.thread.addreply %>" /></h1>
            </div>
            <div id="AddReply" class="containerContent createReply">
                <asp:ValidationSummary runat="server" CssClass="validation" ValidationGroup="reply"/>
                <div>
                    <asp:Label runat="server" AssociatedControlID="Body" Text="<%$ Resources: EPiServer,forum.threadform.contentlabel %>" />
                    <asp:TextBox runat="server" ID="Body" TextMode="MultiLine" ValidationGroup="reply" />
                    <asp:RequiredFieldValidator runat="server" ControlToValidate="Body" Text="*" ErrorMessage="<%$ Resources: EPiServer,forum.thread.replyempty %>" ValidationGroup="reply" SetFocusOnError="true" />
                </div>
                <div class="buttons">
                    <asp:Button runat="server" Text="<%$ Resources: EPiServer,forum.thread.reply %>" CssClass="button" ID="ReplyButton" OnClick="Reply_Click" ValidationGroup="reply" />
                </div>
            </div>
        </div>

	</div>
</asp:Content>