<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" Codebehind="Calendar.aspx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Pages.Calendar" %>

<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">

    <div class="contentAreaHalf contentAreaFirst">
        <div class="container">
            <div class="containerToolbar">
                <asp:LinkButton ID="AddButton" CssClass="createButton" runat="server" Text="<%$ Resources: EPiServer, button.add %>" OnClick="AddButton_Click" Visible="false" />
            </div>
            <asp:Panel ID="DisplayPanel" runat="server">
                <div class="containerContentText">
                    <h1><EPiServer:Property PropertyName="PageName" runat="server" /></h1>
                    <EPiServer:Property PropertyName="MainBody" runat="server" />
                
                    <div class="workroomCalendarList">
                        <h1>
                            <asp:literal runat="server" Text="<%$ Resources: EPiServer, workroom.calendar.selectedperiod %>" />
                            <span style="white-space:nowrap"><%= GetSelectedPeriod() %></span>
                        </h1>
            	        
                        <EPiServer:Calendar ID="CalendarList" PageLinkProperty="PageLink" NumberOfDaysToRender='<%# CurrentPage["nDaysToRender"] %>' runat="server">
                            <DayPrefixTemplate>
                                <h2><%#Container.DayName%>, <%#Container.DayOfMonth%> <%#Container.MonthName%></h2>
                            </DayPrefixTemplate>
                            <EventTemplate>
	                            <div style="width: 100%; overflow:hidden;">
	                                <span style="float: right;"><%#Container.StartTime.Substring(0, 5)%> - <%#Container.StopTime.Substring(0, 5)%></span>
	                                <h1 style="margin-left: 10px;"><EPiServer:Property Runat="server" PropertyName="PageLink" /></h1>
                                </div>
                            </EventTemplate>
                        </EPiServer:Calendar>
                    </div>
                </div>
            </asp:Panel>
	        
            <asp:Panel ID="EditPanel" runat="server" Visible="false">
                <div class="containerCaption">
                    <h1><asp:Literal Text="<%$ Resources: EPiServer, workroom.calendar.createheading %>" runat="server" /></h1>
                </div>
                <div class="containerContent createNews">
                    <asp:ValidationSummary CssClass="validation" runat="server" />
                    <div>
                        <asp:Label Text="<%$ Resources: EPiServer, workroom.newslistpage.headinglabel %>" AssociatedControlID="EditPageName" runat="server" /><br />
                        <asp:TextBox ID="EditPageName" runat="server" />
                        <asp:RequiredFieldValidator ControlToValidate="EditPageName" runat="server" EnableClientScript="true" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.calendar.nameempty %>" />
                    </div>
                    <div>
                        <asp:Label Text="<%$ Resources: EPiServer, workroom.newslistpage.bodylabel %>" AssociatedControlID="EditMainBody" runat="server" /><br />
                        <asp:TextBox ID="EditMainBody" TextMode="MultiLine" runat="server" />
                    </div>                   
                    <div>
                        <asp:Label Text="<%$ Resources: EPiServer, workroom.calendar.starttimelabel %>" AssociatedControlID="EditEventStartDate" runat="server" /><br />
                        <asp:TextBox ID="EditEventStartDate" ToolTip="<%$ Resources: EPiServer, workroom.calendar.dateformat %>" runat="server" />
                        <asp:RequiredFieldValidator ControlToValidate="EditEventStartDate" runat="server" EnableClientScript="true" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.calendar.starttimeempty %>" />
                    </div>
                    <div>
                        <asp:Label Text="<%$ Resources: EPiServer, workroom.calendar.stoptimelabel %>" AssociatedControlID="EditEventStopDate" runat="server" /><br />
                        <asp:TextBox ID="EditEventStopDate" ToolTip="<%$ Resources: EPiServer, workroom.calendar.dateformat %>" runat="server" />
                        <asp:RequiredFieldValidator ControlToValidate="EditEventStopDate" runat="server" EnableClientScript="true" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.calendar.stoptimeempty %>" />
                    </div>
                    <div>
                        <asp:Button ID="SaveButton" CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.save %>" OnClick="SaveButton_Click" />
                        <asp:Button ID="CancelButton" CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="CancelButton_Click" CausesValidation="false" />
                    </div>
                </div>
            </asp:Panel>
	            
	        
	    </div>
	</div>
    
    <div class="contentAreaHalf">
        <div class="container">
            <div class="containerCaption">
                <h1>
                    <EPiServer:Property PropertyName="PageName" Editable="false" runat="server" />
                </h1>
            </div>
            <div class="containerContent" style="padding: 0 10px 10px 4px;">
                <asp:Calendar ID="CalendarView" PrevMonthText="-" NextMonthText="+" BorderWidth="0" CssClass="workroomCalendar" runat="server" SelectionMode="DayWeekMonth" CellPadding="0" CellSpacing="0" BorderStyle="NotSet">
                    <TitleStyle BackColor="Transparent" BorderStyle="None" CssClass="title" BorderWidth="0" />
                    <DayHeaderStyle HorizontalAlign="NotSet" BorderStyle="Notset" />
                    <DayStyle HorizontalAlign="NotSet" ForeColor="#606060" />
                    <SelectedDayStyle CssClass="selected" BackColor="#ebf0f3" ForeColor="#606060" />
                    <TodayDayStyle Font-Bold="true" />
                    <OtherMonthDayStyle ForeColor="#aaaaaa" />
                    <SelectorStyle BorderWidth="0" CssClass="selector" />
                </asp:Calendar>
            </div>
        </div>
    </div>
    
    <%--
        MonthlyItems is a hidden calendar list used to calculate what days to highlight in CalenderView.
    --%>
    <EPiServer:Calendar runat="server" ID="MonthlyItems" PageLinkProperty="PageLink">
        <EventTemplate>
        </EventTemplate>
    </EPiServer:Calendar>
    
</asp:Content>
