<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="MembershipAdministration.ascx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Units.MembershipAdministration" %>

<div class="contentAreaWide contentAreaFirst">
    <div class="container workroomMembershiplist">
        <div class="containerCaption">
            <div class="containerToolbar" id="ToolbarButtons" runat="server">
                <asp:LinkButton ID="EditMembers" Text="<%$ Resources: EPiServer, button.edit %>" OnClick="EditMembers_Click" Visible="true" CssClass="editButton" runat="server"  />
                <asp:LinkButton ID="AddMembers" Text="<%$ Resources: EPiServer, button.add %>" OnClick="AddMembers_Click" Visible="true" CssClass="createButton" runat="server"  />
            </div>
            <h1><asp:Literal ID="MemberListHeading" runat="server" /></h1>
        </div>
        <div class="containerContent">
            <asp:GridView runat="server" ID="UserList" DataSourceID="MemberObjectDataSource" AutoGenerateColumns="false" AllowPaging="true" PageSize="10">
                <Columns>
                    <asp:TemplateField HeaderText="<%$ Resources: EPiServer, workroom.membershipmanager.membershiplevel %>">
                        <ItemTemplate>
                            <asp:PlaceHolder OnDataBinding="MembershipLevel_DataBinding" runat="server">
                                <asp:DropDownList ID="MembershipDropdown" OnSelectedIndexChanged="MembershipDropdown_SelectedIndexChanged" runat="server" Visible="false"/>
                                <asp:Literal ID="MembershipLiteral" runat="server" Visible="false" />
                            </asp:PlaceHolder>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField HeaderText="<%$ Resources: EPiServer, workroom.membershipmanager.username %>" DataField="Name" />
                    <asp:BoundField HeaderText="<%$ Resources: EPiServer, workroom.membershipmanager.email %>" DataField="EMail" />
                </Columns>
                <PagerSettings Mode="NumericFirstLast" />
                <EmptyDataTemplate>
                    <asp:Literal Text="<%$ Resources: EPiServer, workroom.membershipmanager.emptysearchresult %>" runat="server" />
                </EmptyDataTemplate>
            </asp:GridView>
            <div id="PersistButtons" class="buttonToolbar" visible="false" runat="server">
                <asp:Button ID="SaveMembership" Text="<%$ Resources: EPiServer, button.save %>" OnClick="SaveMembership_Click" CssClass="button" runat="server" />
                <asp:Button ID="CancelEdit" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="CancelEdit_Click" CssClass="button" runat="server" />
            </div>
        </div>
    </div>
</div>

<div class="contentAreaNarrow" runat="server" id="SearchDialog" visible="false">
    <div class="container workroomMembershiplist">
        <div class="containerCaption"><h1><asp:Literal Text="<%$ Resources: EPiServer, workroom.membershipmanager.searchheading %>" runat="server" /></h1></div>
        <div class="containerContent">
            <div>
                <asp:Label Text="<%$ Resources: EPiServer, workroom.membershipmanager.username %>" AssociatedControlID="UserName" runat="server" /><br />
                <asp:TextBox ID="UserName" runat="server"/>
            </div>
            <div>
                <asp:Label Text="<%$ Resources: EPiServer, workroom.membershipmanager.email %>" AssociatedControlID="EMail" runat="server" /><br />
                <asp:TextBox ID="EMail" runat="server" />
            </div>
            <div class="buttonToolbar">
                <asp:Button ID="SearchUsers" Text="<%$ Resources: EPiServer, workroom.membershipmanager.searchtext %>" OnClick="SearchUsers_Click" CssClass="button" runat="server" />
            </div>
        </div>
    </div>
</div>

<asp:ObjectDataSource runat="server" ID="MemberObjectDataSource" EnablePaging="true" OnSelecting="MemberObjectDataSource_Selecting"
    TypeName="EPiServer.Templates.Demo.Workroom.Core.MembershipSearch" 
    SelectMethod="FindUsers" SelectCountMethod="GetRowCount">
    <SelectParameters>
        <asp:Parameter Direction="Input" DefaultValue="true" Name="onlyExistingMembers" Type="Boolean" />
        <asp:ControlParameter Direction="Input" DefaultValue="" ControlID="UserName" PropertyName="Text" Name="userName" />
        <asp:ControlParameter Direction="Input" DefaultValue="" ControlID="EMail" PropertyName="Text" Name="email"/>
    </SelectParameters>
</asp:ObjectDataSource>
